<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
_use(dirname(__FILE__).'/../../payment_module_authorizenet_cc/actions/update_authorize_net_cc.php');

/**
 * Payment Module.
 * This action is responsible for update AuthorizeNet settings.
 *
 * @package PaymentModuleAuthorizeNet CC
 * @access  public
 * @author Girin Alexander
 */
class update_authorize_net_ec extends update_authorize_net_cc
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Action constructor
     */

    function saveDataToDB($SessionPost)
    {
        modApiFunc("Checkout", "setModuleActive", (modApiFunc("Payment_Module_AuthorizeNet_EC", "getUid")), ($SessionPost["status"]=="active")? true:false);

        $Settings = array(
                          "MODULE_NAME"  => $SessionPost["ModuleName"]
//                         ,"MODULE_DESCR" => $SessionPost["ModuleDescr"]
                         ,"MODULE_LOGIN" => $SessionPost["ModuleLogin"]
                         ,"MODULE_KEY"   => $SessionPost["ModuleKey"]
                         ,"MODULE_HASH_VALUE"=> $SessionPost["ModuleHashValue"]
                         ,"MODULE_MODE" => $SessionPost["ModuleMode"]
                         ,"MODULE_CART" => $SessionPost["ModuleCart"]
                         ,"MODULE_URL"   => _ml_substr($SessionPost["ModuleUrl"], ($pos = _ml_strpos($SessionPost["ModuleUrl"], "//")? ($pos+2):0))
                         );
        modApiFunc("Payment_Module_AuthorizeNet_EC", "updateSettings", $Settings);
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */

    /**
     * Corresponding View file.
     */

    /**#@-*/
}
?>