<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleChaseCC
 * @author Vadim Lyalikov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Chase_CC',
        'shortName'    => 'PM_CH_CC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'Chase payment module. See payment documentation.',
        'version'      => '0.1.9225',
        'author'       => 'Vadim Lyalikov',
        'contact'      => '',
        'systemModule' => false,
        'constantsFile'=> 'const.php',
        'mainFile'     => 'payment_module_chase_cc_api.php',
        'resFile'      => 'payment-module-chase-messages',
        'extraAPIFiles' => array(
            'ChasePayment' => 'abstract/ChasePayment.php'
        ),

        'actions' => array
        (
            'AdminZone' => array(
                'update_chase' => 'update_chase.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleChaseCCInputAZ' => 'chase_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleChaseCCInput'  => 'chase_cc_input_cz.php',
                'CheckoutPaymentModuleChaseCCOutput' => 'chase_cc_output_cz.php'
            )
        )
    );
?>