<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleCheque
 * @author Vadim Lyalikov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Cheque', # this is also a main class name
        'shortName'     => 'PM_CHEQUE',
        'groups'       => 'PaymentModule,Offline', //  change to "...,Offline in release"
        'description'  => '"Cheque" method payment module. See payment documentation',
        'version'      => '0.1.9225',
        'author'       => 'Vadim Lyalikov',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_cheque_api.php',
        'resFile'      => 'payment-module-cheque-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array(
                'update_cheque' => 'update_cheque.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleChequeInputAZ' => 'cheque_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleChequeInput'  => 'cheque_input_cz.php',
                'CheckoutPaymentModuleChequeOutput' => 'cheque_output_cz.php'
            )
        )
    );
?>