<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleEWayCC
 * @author Egor V. Derevyankin
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_EWay_CC',
        'shortName'    => 'EWAY',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'eWay payment module. See payment documentation.',
        'version'      => '0.1.9225',
        'author'       => 'Egor V. Derevyankin',
        'contact'      => '',
        'systemModule' => false,
        'constantsFile'=> 'const.php',
        'mainFile'     => 'payment_module_eway_cc_api.php',
        'resFile'      => 'payment-module-eway-messages',
        'extraAPIFiles' => array(
            'EwayPayment' => 'abstract/EwayPayment.php'
        ),

        'actions' => array
        (
            'AdminZone' => array(
                'update_eway' => 'update_eway.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleEWayCCInputAZ' => 'eway_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleEWayCCInput'  => 'eway_cc_input_cz.php',
                'CheckoutPaymentModuleEWayCCOutput' => 'eway_cc_output_cz.php'
            )
        )
    );
?>