<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleLinkpoint
 * @author Ravil Garafutdinov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Linkpoint_CC', # this is also a main class name
        'shortName'    => 'PM_LP_CC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'LinkpointCC payment module. See payment documentation',
        'version'      => '0.9.9225',
        'author'       => 'Ravil Garafutdinov',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_linkpoint_cc_api.php',
        'resFile'      => 'payment-module-linkpoint-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array(
                'update_linkpoint' => 'update_linkpoint.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'linkpoint_cc_input_az' => 'linkpoint_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleLinkpointCCInput'  => 'linkpoint_cc_input_cz.php',
                'CheckoutPaymentModuleLinkpointCCOutput' => 'linkpoint_cc_output_cz.php'
            )
        )
    );
?>