<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModulePaypal
 * @author Alexander Girin
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_MerchantPlus_CC', # this is also a main class name
        'shortName'    => 'PM_MP_CC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'MerchantPlusCC payment module. See payment documentation',
        'version'      => '0.1.9225',
        'author'       => 'Alexander Girin',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_merchantplus_cc_api.php',
        'resFile'      => 'payment-module-merchantplus-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array(
                'update_merchantplus_cc' => 'update_merchantplus_cc.php'
            ),
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'merchantplus_cc_input_az' => 'merchantplus_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleMerchantPlusCCInput'  => 'merchantplus_cc_input_cz.php',
                'CheckoutPaymentModuleMerchantPlusCCOutput' => 'merchantplus_cc_output_cz.php'
            )
        )
    );
?>