<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 *
 * @package Notifications
 * @author Alexander Girin
 */
class PaypointRedirectToMerchant
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * RedirectToMerchant constructor.
     */
    function PaypointRedirectToMerchant()
    {
    }

    /**
     * The given hook outputs javascript, which redirects from the site
     * Authorize.Net to Storefront.
     */
    function onHook($actionObj)
    {
        if ($actionObj->GlobalUniquePaymentModuleID != modApiStaticFunc("Payment_Module_Paypoint_CC", "getUid"))
        {
            return;
        }

        $request = new Request();
        $request->setView('CheckoutView');
        $request->setAction("SetCurrStep");
        $request->setKey   ( 'step_id', 4);
        $URL = $request->getURL();

        echo "<SCRIPT LANGUAGE='JavaScript'>\n";
        echo "<!--\n";
        echo "window.location.href='".$URL."';\n";
        echo "//-->\n";
        echo "</SCRIPT>\n";
        echo "<NOSCRIPT>\n";
        echo "<A HREF='".$URL."'><INPUT TYPE='button' value='Return To Merchant'></A>\n";
        echo "</NOSCRIPT>";
        exit();
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */


    /**#@-*/

}
?>