<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * class "ParcelSplitMessageHandler"
 *
 * @package ParcelSplitMessageHandler
 * @author Ravil Garafutdinov
 */

class ParcelSplitMessageHandler
{
    function ParcelSplitMessageHandler()
    {
        $this->_ups_uid = "B326C2B6-5709-42C2-9BCC-790A77CB7A0A";
    }

    function onOrderCreated($oid)
    {
        $shippingModuleUID = modApiFunc('Checkout', 'getChosenShippingModuleIdCZ');
        $sessionMessageName = 'ShippingModuleParcelSplit_' . $this->_ups_uid;

        if (modApiFunc('Session', 'is_set', $sessionMessageName))
        {
            if ($shippingModuleUID == $this->_ups_uid)
            {
                $msg = modApiFunc('Session', 'get', $sessionMessageName);
                modApiFunc("Checkout", "addOrderHistory", $oid, $msg);
            }

            modApiFunc('Session', 'un_Set', $sessionMessageName);
        }
    }

    var $_ups_uid;
};

?>