<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
    include('../admin.php');
    if (! modApiFunc('Users', 'checkCurrentUserPermission', PERMISSION_DESIGN)) {
        echo '<div class="no_access">Sorry, You have no access to this content.</div>';
        die;
    }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
<HEAD>
<TITLE>Upload Theme Image</TITLE>
<?php
    include('part_htmlheader.php');

    if (isset($_FILES['new_image'])) {
    	if ($_FILES['new_image']['error'] == UPLOAD_ERR_OK) {
            $upload_path = $application->getAppIni('PATH_THEME').'images/upload/';
            $name = $_FILES['new_image']['name'];

            $info = pathinfo($name);
            $base = $info['filename'];
            $ext = $info['extension'];
            $i = 2;
            while (file_exists($upload_path.$name)) {
    	   	    $name = $base.'_'.($i++).'.'.$ext;
            }

            if (@ move_uploaded_file($_FILES['new_image']['tmp_name'], $upload_path.$name)) {
            	$url = '../images/upload/'.$name;
            	?>
<script>
    if (window.opener.onImageUploaded) {
        window.opener.onImageUploaded('<?php echo addslashes($url); ?>');
        window.close();
    }
</script>
            	<?php
                exit;
            }
            else {
            	$error = 'Unable to move the uploaded image into th folder '.$upload_path.'.';
            }
        }
        else {
        	$error = 'An error has occured while uploading an image.';
        }
    }
?>
</HEAD>

<BODY>
  <TABLE cellSpacing=0 cellPadding=0 align=center border=0 width="670">
    <TR>
      <TD>

<form action="edit_upload_image.php" method="post" enctype="multipart/form-data" id="UploadThemeImageForm">
<!-- input type="hidden" name="asc_action" value="" />
<input type="hidden" name="ViewState[hasCloseScript]" value="false" />
<input type="hidden" name="topic" value="{TopicId}" / -->

<table class="form" cellspacing="1" cellpadding="5" width="100%" align="center">
  <colgroup>
    <col width="20%">
    <col width="0%">
    <col width="75%">
  </colgroup>

  <tr class="title">
    <td class="title popup_dialog_header_left_right_padded" colspan="3">Upload Theme Image</td>
  </tr>

  <tr class="subtitle" style="height: 25px;">
    <td class="popup_dialog_header_left_right_padded" colspan="3" style="padding: 0px 0px 0px 12px;">
        Select Image
    </td>
  </tr>
<?php
    if (isset($error)) {
?>
  <tr>
    <td colspan="3" style="padding:12px 100px; text-align:center; color:#800; font-weight:bold"><?php echo $error ?></td>
  </tr>
<?php
    }
?>
  <tr>
    <td class="label popup_dialog_body_left_padded">
        <span class="required">Image&nbsp;*</span></td>
    <td class="help"><div style="cursor:pointer;" onclick="<?php hintlink('FIELD_TOPIC_NAME', dirname(dirname(__FILE__)).'/resources/subscriptions-messages'); ?>"><img src="images/question.gif"></div></td>
    <td class="value popup_dialog_body_right_padded">
        <input type="file" name="new_image" size="55" class="input"></td>
  </tr>

  <tfoot>
    <tr>
      <th colspan="3" align="center">
        <table class="clear">
          <tr>
            <td style="padding-right: 4px;"><div id="SaveButton2" class="button button_small"><?php Msg('BTN_UPLOAD'); ?></div></td>
            <td><div id="CancelButton2" class="button button_small" onclick="closeAndFocusParent();"><?php Msg('BTN_CANCEL'); ?></div></td>
          </tr>
        </table>
      </th>
    </tr>
  </tfoot>

</table>
</form>


      </TD>
    </TR>
    <TFOOT>
    <TR height=100>
        <TH><?php //
                  // Insert Page Footer
                  //
                  include('part_footer_popup.php') ?></TH>
    </TR>
    </TFOOT>
  </TABLE>
<script>
$(function () {
    var btn = $('#SaveButton2');
    btn.one('click', function (event) {
        btn.addClass('button_disabled');
        $('#UploadThemeImageForm').submit();
    });
});
</script>
</BODY>
</HTML>