<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
_use(dirname(__FILE__).'/../../payment_module_authorizenet_cc/views/authorize_net_cc_input_az.php');

/**
 * authorize_net_cc_input_az view.
 *
 * @package PaymentModuleAuthorizeNet CC
 * @author Alexander Girin
 */
class authorize_net_ec_input_az extends authorize_net_cc_input_az
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Initializes data from the database.
     */
    function initFormData()
    {
        $this->POST = array();
        $settings = modApiFunc("Payment_Module_AuthorizeNet_EC", "getSettings");
        foreach ($settings as $key => $value)
        {
            switch($key)
            {
                case "MODULE_NAME": $this->POST["ModuleName"] = $value; break;
                case "MODULE_LOGIN": $this->POST["ModuleLogin"] = $value; break;
                case "MODULE_KEY": $this->POST["ModuleKey"] = $value; break;
                case "MODULE_HASH_VALUE": $this->POST["ModuleHashValue"] = $value; break;
                case "MODULE_METHOD": $this->POST["ModuleMethod"] = $value; break;
                case "MODULE_MODE": $this->POST["ModuleMode"] = $value; break;
                case "MODULE_CART": $this->POST["ModuleCart"] = $value; break;
                case "MODULE_URL": $this->POST["ModuleUrl"] = $value; break;
            }
        }
        $this->POST["status"] = modApiFunc("Payment_Module_AuthorizeNet_EC", "isActive");
        $this->ViewState =
            array(
                "hasCloseScript"  => "false"
               ,"FormSubmitValue" => "save"
                 );
    }

    function outputModuleName()
    {
        return $this->MessageResources->getMessage('MODULE_NAME_EC');
    }

    function outputModuleDescription()
    {
        return $this->MessageResources->getMessage("MODULE_DESCR_EC");
    }

    function outputFormAction()
    {
        $request = new Request();
        $request->setView('CheckoutPaymentModuleSettings');
        $request->setAction("update_authorize_net_ec");
        return $request->getURL();
    }

    function settingsTemplate()
    {
        return "list_ec.tpl.html";
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */

    /**#@-*/

}
?>