<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleChronopay
 * @author Vadim Lyalikov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Chronopay_CC', # this is also a main class name
        'shortName'    => 'PM_CHRONOPAY_CC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'ChronopayCC payment module. See payment documentation',
        'version'      => '0.1.9225',
        'author'       => 'Dmitry Degtyarev',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_chronopay_cc_api.php',
        'resFile'      => 'payment-module-chronopay-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array(
                'update_chronopay' => 'update_chronopay.php',
            ),
            'ChronopayUpdatePaymentStatus' => 'chronopay-update-payment-status-action.php'
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'chronopay_cc_input_az' => 'chronopay_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleChronopayCCInput'  => 'chronopay_cc_input_cz.php',
                'CheckoutPaymentModuleChronopayCCOutput' => 'chronopay_cc_output_cz.php'
            )
        )
    );
?>