<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleCyberbitCC
 * @author Egor V. Derevyankin
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Cyberbit_CC', # this is also a main class name
        'shortName'    => 'PM_CBCC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'Cyberbit payment module. See payment documentation',
        'version'      => '0.1.9225',
        'author'       => 'Egor V. Derevyankin',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_cyberbit_cc_api.php',
        'resFile'      => 'payment-module-cyberbit-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array(
                'update_cyberbit' => 'update_cyberbit.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleCyberbitCCInputAZ' => 'cyberbit_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleCyberbitCCInput'  => 'cyberbit_cc_input_cz.php',
                'CheckoutPaymentModuleCyberbitCCOutput' => 'cyberbit_cc_output_cz.php'
            )
        )
    );
?>