<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * @package PaymentModuleEPDQCC
 * @author Egor V. Derevyankin
 *
 */

class update_epdq extends update_pm_sm
{
    function update_epdq()
    {}

    function onAction()
    {
        global $application;
        parent::onAction();
        $request = new Request();
        $status = $request->getValueByKey('status');
        $sets = $request->getValueByKey('sets');

        $errors = array();

        if($sets['MODULE_NAME'] == '')
        {
            $errors[] = 'MODULE_ERROR_NO_NAME';
        };
        if($sets['CLIENT_ID'] == '')
        {
            $errors[] = 'ERROR_NO_CLIENT_ID';
        };
        if($sets['PASSWORD'] == '')
        {
            $errors[] = 'ERROR_NO_PASSWORD';
        };
        if($sets['MDN'] == '')
        {
            $errors[] = 'ERROR_NO_MDN';
        };

        if(empty($errors))
        {
            modApiFunc('Checkout', 'setModuleActive',
                modApiFunc('Payment_Module_EPDQ_CC', 'getUid'),
                ($status == "active"));

            modApiFunc('Payment_Module_EPDQ_CC','updateSettings',$sets);
            $SessionPost = array(
                'ViewState' => array(
                    'hasCloseScript' => 'true'
                )
            );
        }
        else
        {
            $SessionPost = array(
                'ViewState' => array(
                    'ErrorsArray' => $errors
                  )
               ,'sets' => $sets
            );
        };

        modApiFunc('Session', 'set', 'SessionPost', $SessionPost);
        $request->setView(CURRENT_REQUEST_URL);
        $application->redirect($request);
    }
};

?>