<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModulePaypal
 * @author Vadim Lyalikov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_PaypalPro_CC', # this is also a main class name
        'shortName'    => 'PM_PPP_CC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'PaypalProCC payment module. See payment documentation',
        'version'      => '0.1.10522',
        'author'       => 'Alexander Girin',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_paypalpro_cc_api.php',
        'resFile'      => 'payment-module-paypalpro-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array (
                'update_paypalpro' => 'update_paypalpro.php',
            ),
            'PayPalProUpdatePaymentStatus' => 'update_payment_status_action.php'
        ),

        'hooks' => array
        (
            'PayPalProHook' => array ( 'onAction'  => 'SetCurrStep,JSSetCurrStep',
                                       'Hook_File' => 'paypalpro_hook.php')
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'paypalpro_cc_input_az' => 'paypalpro_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModulePaypalProCCInput'  => 'paypalpro_cc_input_cz.php',
                'CheckoutPaymentModulePaypalProCCOutput' => 'paypalpro_cc_output_cz.php',
                'PaypalProExpressCheckout'               => 'paypalpro_cc_express_checkout_cz.php'
            )
        )
    );
?>