<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

class SELECT_SM_FREIGHT101_CACHED_RATES extends DB_Select
{
    function initQuery($params)
    {
        $tables = modApiStaticFunc($params['ApiClassName'], "getTables");
        $rc_table = $tables['sm_freight101_rates_cache']['columns'];

        $this->addSelectTable('sm_freight101_rates_cache');
        $this->addSelectField($rc_table['rate'],'rate');
        $this->Where($rc_table['hash'], DB_EQ, "'".$params['hash']."'");
        $this->WhereAND();
        $this->Where($rc_table['method_id'], DB_EQ, $params['method_id']);
        $this->WhereAND();
        $this->Where($rc_table['expire'], DB_GT, time());
    }
}

?>