<?php

        global $application;
        $obj = new MessageResources("shipping-module-freight101-messages", "AdminZone");
        loadCoreFile('csv_parser.php');
        $csv_parser = new CSV_Parser();

        $tables = Shipping_Module_Freight101::getTables();
        $query = new DB_Table_Create($tables);

        $table = 'sm_freight101_settings';                        
        $columns = $tables[$table]['columns'];
                                  
        list($flt, $Default_Settings) = $csv_parser->parse_file(dirname(__FILE__)."/default_settings.csv");
        if(count($Default_Settings) > 0)
        {
            foreach($Default_Settings as $key => $setting)
            {
                $query = new DB_Insert($table);
                $query->addInsertValue($setting["key"], $columns['key']);
                $query->addInsertValue(serialize($setting["value"]), $columns['value']);
                $application->db->getDB_Result($query);
            };
        };
        
?>
